Package org.eclipse.net4j.util.io

## Class ZIPUtil.FileSystemUnzipHandler

- java.lang.Object
- - org.eclipse.net4j.util.io.ZIPUtil.FileSystemUnzipHandler

- All Implemented Interfaces:
    `ZIPUtil.UnzipHandler`
  Enclosing class:
    ZIPUtil

      public static class ZIPUtil.FileSystemUnzipHandler
      extends java.lang.Object
      implements ZIPUtil.UnzipHandler

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileSystemUnzipHandler​(java.io.File targetFolder)` |
    `FileSystemUnzipHandler​(java.io.File targetFolder, int bufferSize)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.File` | `getTargetFolder()` |
    `void` | `unzipDirectory​(java.lang.String name)` |
    `void` | `unzipFile​(java.lang.String name, java.io.InputStream zipStream)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileSystemUnzipHandler

          public FileSystemUnzipHandler​(java.io.File targetFolder,
                                        int bufferSize)

    - #### FileSystemUnzipHandler

          public FileSystemUnzipHandler​(java.io.File targetFolder)

      Since:
        3.4

  - ### Method Detail

    - #### getTargetFolder

          public java.io.File getTargetFolder()

    - #### unzipDirectory

          public void unzipDirectory​(java.lang.String name)

      Specified by:
        `unzipDirectory` in interface `ZIPUtil.UnzipHandler`

    - #### unzipFile

          public void unzipFile​(java.lang.String name,
                                java.io.InputStream zipStream)

      Specified by:
        `unzipFile` in interface `ZIPUtil.UnzipHandler`